ubuntu-location-service: com::ubuntu::location::wgs84 Namespace Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Namespaces | Classes | Typedefs | Functions
com::ubuntu::location::wgs84 Namespace Reference

## Namespaces
| tag

## Classes
struct | CoordinateTraits< Altitude >
struct | CoordinateTraits
class | Coordinate
struct | CoordinateTraits< Latitude >
struct | CoordinateTraits< Longitude >

## Typedefs
typedef Coordinate< tag::Altitude, units::Length > | Altitude
typedef Coordinate< tag::Latitude, units::PlaneAngle > | Latitude
typedef Coordinate< tag::Longitude, units::PlaneAngle > | Longitude

## Functions
template<typename T , typename U >
Coordinate< T, U > | operator- (const Coordinate< T, U > &lhs, const Coordinate< T, U > &rhs)
template<typename T , typename U >
std::ostream & | operator<< (std::ostream &out, const Coordinate< T, U > &coord)

## Typedef Documentation

## ◆ Altitude

typedef Coordinate<tag::Altitude, units::Length> com::ubuntu::location::wgs84::Altitude

Definition at line 36 of file altitude.h.

## ◆ Latitude

typedef Coordinate<tag::Latitude, units::PlaneAngle> com::ubuntu::location::wgs84::Latitude

Definition at line 38 of file latitude.h.

## ◆ Longitude

typedef Coordinate<tag::Longitude, units::PlaneAngle> com::ubuntu::location::wgs84::Longitude

Definition at line 38 of file longitude.h.

## Function Documentation

## ◆ operator-()

template<typename T , typename U >

Coordinate<T,U> com::ubuntu::location::wgs84::operator- | ( | const Coordinate< T, U > & | lhs,
|  | const Coordinate< T, U > & | rhs
| ) |  |

Definition at line 68 of file coordinate.h.

References com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value.

## ◆ operator<<()

template<typename T , typename U >

std::ostream& com::ubuntu::location::wgs84::operator<< | ( | std::ostream & | out,
|  | const Coordinate< T, U > & | coord
| ) |  |

Definition at line 74 of file coordinate.h.

References com::ubuntu::location::wgs84::Coordinate< Tag, UnitType >::value.